# CoderUti 程序员专属网址导航

### 项目介绍

CoderUtil, 程序员网址导航 - 支持程序员自定义导航的快捷网址导航 - 技术社区、摸鱼专区、协同工作、学习平台、头部社区、资源推荐、站长工具、windows/mac软件下载、其他工具集合。

### 项目线上服务地址

[http://www.coderutil.com](http://www.coderutil.com)

### 团队&作者

| 信息 | 说明 |
| ------ | ------ |
| 团队名称 | CoderUtil-Team |
| 团队性质： | 虚拟组织 |
| 发起人 | 七七 |
| 原创博客网站 | [http://www.wangqi94.com](http://www.wangqi94.com) |

### 技术架构

##### 前端
HTML5、CSS3、JS、Jquery、Layer、Layui

##### 服务端
Java、Spring Boot、Thymeleaf、JPA、阿里云BOS、阿里云短信服务

##### 存储层
MySQL、Redis

##### 架构图

待补充

### 效果预览

**网站首页** 支持白天、夜间两种模式：

![首页白天模式](https://img-blog.csdnimg.cn/20210509151416345.png?x-oss-process=image/watermark,type_ZmFuZ3poZW5naGVpdGk,shadow_10,text_aHR0cHM6Ly9ibG9nLmNzZG4ubmV0L3dlaXhpbl8zNjA2MzgyMQ==,size_16,color_FFFFFF,t_70)

![首页夜间模式](https://img-blog.csdnimg.cn/20210509151416364.png?x-oss-process=image/watermark,type_ZmFuZ3poZW5naGVpdGk,shadow_10,text_aHR0cHM6Ly9ibG9nLmNzZG4ubmV0L3dlaXhpbl8zNjA2MzgyMQ==,size_16,color_FFFFFF,t_70)

**注册、登录后支持自定义常用网址导航**：

![注册登录](https://img-blog.csdnimg.cn/20210509151416363.png?x-oss-process=image/watermark,type_ZmFuZ3poZW5naGVpdGk,shadow_10,text_aHR0cHM6Ly9ibG9nLmNzZG4ubmV0L3dlaXhpbl8zNjA2MzgyMQ==,size_16,color_FFFFFF,t_70)

![自定义网址导航](https://img-blog.csdnimg.cn/20210509151416321.png?x-oss-process=image/watermark,type_ZmFuZ3poZW5naGVpdGk,shadow_10,text_aHR0cHM6Ly9ibG9nLmNzZG4ubmV0L3dlaXhpbl8zNjA2MzgyMQ==,size_16,color_FFFFFF,t_70)

![自定义导航展示效果](https://img-blog.csdnimg.cn/20210509151416353.png?x-oss-process=image/watermark,type_ZmFuZ3poZW5naGVpdGk,shadow_10,text_aHR0cHM6Ly9ibG9nLmNzZG4ubmV0L3dlaXhpbl8zNjA2MzgyMQ==,size_16,color_FFFFFF,t_70)
